DevHeads.net

Postings by Richard Fearn

findbugs-contrib building on i686 builders despite ExcludeArch

Hi,

Due to a dependency on Eclipse, findbugs-contrib can no longer be
built on non-64-bit architectures.

New package not (yet) recognised by Bodhi

Hi

I had a new package approved yesterday (perl-App-ccdiff) and I've
built packages for F29/rawhide. Bodhi doesn't know about the new
package yet, though, so I can't submit a new package update for F29.

How long does it normally take for Bodhi to start recognising a
newly-created package?

Thanks

Rich

bodhi - new update obsoleted an older update that had been submitted for stable

Hi,

Until yesterday I had two findbugs-contrib 6.4.0 updates in testing:

findbugs-contrib-6.4.0-1.fc22
<a href="https://bodhi.fedoraproject.org/updates/FEDORA-2015-36b05c38b8" title="https://bodhi.fedoraproject.org/updates/FEDORA-2015-36b05c38b8">https://bodhi.fedoraproject.org/updates/FEDORA-2015-36b05c38b8</a>

findbugs-contrib-6.4.0-1.fc23
<a href="https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e04f3b5f5" title="https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e04f3b5f5">https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e04f3b5f5</a>

I submitted the F22 update for stable at 12:02:54, and submitted the
F23 update for stable at 12:03:00.

A little while later I created new updates for testing, for version 6.4.3:

findbugs-contrib-6.4.3-1.fc22
<a href="https://bodhi.fedoraproject.org/updates/FEDORA-2016-578a14be73" title="https://bodhi.fedoraproject.org/updates/FEDORA-2016-578a14be73">https://bodhi.fedoraproject.org/updates/FEDORA-2016-578a14be73</a>

findbugs-contrib-6.4.3-1.fc23
<a href="https://bodhi.fedoraproject.org/" title="https://bodhi.fedoraproject.org/">https://bodhi.fedoraproject.org/</a>

F21/F22 mass rebuild

Hi,

I've got a question about the last mass rebuild:

<a href="https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild" title="https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild">https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild</a>

For a couple of my packages:

<a href="http://koji.fedoraproject.org/koji/packageinfo?packageID=6133" title="http://koji.fedoraproject.org/koji/packageinfo?packageID=6133">http://koji.fedoraproject.org/koji/packageinfo?packageID=6133</a>
<a href="http://koji.fedoraproject.org/koji/packageinfo?packageID=4673" title="http://koji.fedoraproject.org/koji/packageinfo?packageID=4673">http://koji.fedoraproject.org/koji/packageinfo?packageID=4673</a>

there was a rebuild for both F21 and F22. However for ncdu:

<a href="http://koji.fedoraproject.org/koji/packageinfo?packageID=6127" title="http://koji.fedoraproject.org/koji/packageinfo?packageID=6127">http://koji.fedoraproject.org/koji/packageinfo?packageID=6127</a>

there was only an F21 rebuild.

Problem changing symlink to directory with %pretrans scriptlet

Hi all,

I'm trying to change a symlink to a directory but it's not working.
I've reduced the problem down to a simple test case.

This package:

<a href="http://richardfearn.fedorapeople.org/test/1-1/test.spec" title="http://richardfearn.fedorapeople.org/test/1-1/test.spec">http://richardfearn.fedorapeople.org/test/1-1/test.spec</a>

creates the following:

* a directory /usr/share/javadoc/test-1 (named after the package version)
* a file within the test-1 directory
* /usr/share/javadoc/test, a symlink to test-1

In the next version:

<a href="http://richardfearn.fedorapeople.org/test/1-2/test.spec" title="http://richardfearn.fedorapeople.org/test/1-2/test.spec">http://richardfearn.fedorapeople.org/test/1-2/test.spec</a>

the Javadoc directory is unversioned, so the 'test' symlink is now a
directory (containing one file).

puppet update in F18 requires non-existent hiera package

Hi,

Just tried updating an F18 machine and got this:

$ sudo yum update
Loaded plugins: changelog
Resolving Dependencies
--> Running transaction check
[...]
---> Package puppet.noarch 0:2.7.18-1.fc18 will be updated
---> Package puppet.noarch 0:3.1.1-1.fc18 will be an update
--> Processing Dependency: hiera >= 1.0.0 for package:
puppet-3.1.1-1.fc18.noarch
--> Finished Dependency Resolution
Error: Package: puppet-3.1.1-1.fc18.noarch (updates)
Requires: hiera >= 1.0.0
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

T

Getting more info about updates on headless server

Hi,

I have yum-updatesd installed on a headless Fedora server, so every so
often I get the email saying there are updates available.

The email itself doesn't tell me much about the updates (e.g. for
iproute tonight it said it was a "bugfix"). Running yum update on the
server doesn't tell me much either.

In the past I modified yum-updatesd-helper to look in the
package-announce list archives
(<a href="http://lists.fedoraproject.org/pipermail/package-announce/" title="http://lists.fedoraproject.org/pipermail/package-announce/">http://lists.fedoraproject.org/pipermail/package-announce/</a>) to find
each update, and to build a bodhi search URL, using the package
name/version.

What to do with release number on new EL-5 branch

Hi,

I've just had an EL-5 branch created for my disktype[1] package.